qemu-ppc
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-ppc] [PATCH v8 3/7] scripts: Submit changes while updating linux h


From: Gavin Shan
Subject: [Qemu-ppc] [PATCH v8 3/7] scripts: Submit changes while updating linux headers
Date: Mon, 14 Sep 2015 11:36:11 +1000

This submits changes with formatted commit log while updating Linux
headers using scripts/update-linux-headers.sh.

Signed-off-by: Gavin Shan <address@hidden>
---
 scripts/update-linux-headers.sh | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 18daabe..a345632 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -63,6 +63,34 @@ cp_virtio() {
     fi
 }
 
+submit_change() {
+    from=$1
+    to=$2
+    if ! [ -e "$to/include/qemu-common.h" ]; then
+        echo "$to not QEMU source directory, skip submitting changes"
+        exit 3
+    fi
+
+    version=$(make -C "$from" -s kernelversion)
+    commit=$(git -C "$from" rev-parse --short HEAD)
+    message=$(cat <<EOF
+Synchronize Linux headers from kernel $version
+
+Synchronize the Linux headers from kernel version $version
+(commit $commit)
+
+This commit was created automatically by update-linux-headers.sh.
+EOF
+)
+
+    if git -C "$to" commit -qa -m "$message" -s ; then
+        echo "Changes submitted successfully"
+    else
+        echo "Failure submitting changes"
+        exit 4
+    fi
+}
+
 # This will pick up non-directories too (eg "Kconfig") but we will
 # ignore them in the next loop.
 ARCHLIST=$(cd "$linux/arch" && echo *)
@@ -132,3 +160,5 @@ cat <<EOF >$output/include/standard-headers/linux/if_ether.h
 EOF
 
 rm -rf "$tmpdir"
+
+submit_change "$linux" "$output"
-- 
2.1.0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]